Package org.apache.tomcat.util.net

# Enum SSLHostConfig.CertificateVerification

java.lang.Object
java.lang.Enum<SSLHostConfig.CertificateVerification>
org.apache.tomcat.util.net.SSLHostConfig.CertificateVerification

All Implemented Interfaces:
  `Serializable`, `Comparable<SSLHostConfig.CertificateVerification>`, `java.lang.constant.Constable`

Enclosing class:
  SSLHostConfig

public static enum SSLHostConfig.CertificateVerification extends Enum<SSLHostConfig.CertificateVerification>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  `OPTIONAL`
  `OPTIONAL_NO_CA`
  `REQUIRED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SSLHostConfig.CertificateVerification`
  `fromString(String value)`
  `boolean`
  `isOptional()`
  `static SSLHostConfig.CertificateVerification`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SSLHostConfig.CertificateVerification[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final SSLHostConfig.CertificateVerification NONE

  - ### OPTIONAL_NO_CA

    public static final SSLHostConfig.CertificateVerification OPTIONAL_NO_CA

  - ### OPTIONAL

    public static final SSLHostConfig.CertificateVerification OPTIONAL

  - ### REQUIRED

    public static final SSLHostConfig.CertificateVerification REQUIRED

- ## Method Details

  - ### values

    public static SSLHostConfig.CertificateVerification[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SSLHostConfig.CertificateVerification valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isOptional

    public boolean isOptional()

  - ### fromString

    public static SSLHostConfig.CertificateVerification fromString(String value)